# Copyright 2021-2023 H2020 TeraFlow (https://www.teraflow-h2020.eu/)
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

---
apiVersion: v1
kind: Service
metadata:
  annotations:
    app.quarkus.io/commit-id: 43bda7817c976a9fb8ed7a410ad4f0ea13f62498
    app.quarkus.io/build-timestamp: 2022-02-15 - 14:44:53 +0000
  labels:
    app.kubernetes.io/name: policyservice
    app: policyservice
  name: policyservice
spec:
  ports:
    - name: grpc-server
      port: 9999
      targetPort: 9999
    - name: http
      port: 8080
      targetPort: 8080
  selector:
    app.kubernetes.io/name: policyservice
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    app.quarkus.io/commit-id: 43bda7817c976a9fb8ed7a410ad4f0ea13f62498
    app.quarkus.io/build-timestamp: 2022-02-15 - 14:44:53 +0000
  labels:
    app: policyservice
    app.kubernetes.io/name: policyservice
  name: policyservice
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/name: policyservice
  template:
    metadata:
      annotations:
        app.quarkus.io/commit-id: 43bda7817c976a9fb8ed7a410ad4f0ea13f62498
        app.quarkus.io/build-timestamp: 2022-02-15 - 14:44:53 +0000
      labels:
        app: policyservice
        app.kubernetes.io/name: policyservice
    spec:
      containers:
        - env:
            - name: KUBERNETES_NAMESPACE
              valueFrom:
                fieldRef:
                  fieldPath: metadata.namespace
          image: registry.gitlab.com/teraflow-h2020/controller/policy:0.1.0
          imagePullPolicy: Always
          livenessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/live
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 5
            periodSeconds: 45
            successThreshold: 1
            timeoutSeconds: 10
          name: policyservice
          ports:
            - containerPort: 9999
              name: grpc-server
              protocol: TCP
            - containerPort: 8080
              name: http
              protocol: TCP
          readinessProbe:
            failureThreshold: 3
            httpGet:
              path: /q/health/ready
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 5
            periodSeconds: 45
            successThreshold: 1
            timeoutSeconds: 10
